Package de.willuhn.jameica.hbci.gui.parts

# Class SparQuote

java.lang.Object
de.willuhn.jameica.hbci.gui.parts.SparQuote

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class SparQuote extends Object implements de.willuhn.jameica.gui.Part
Stellt die Einnahmen und Ausgaben eines Kontos gegenueber.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SparQuote.UmsatzEntry`
Hilfsobjekt fuer die einzelnen Monate.

## Constructor Summary

Constructors
Constructor
Description
`SparQuote()`
ct.

## Method Summary

Modifier and Type
Method
Description
`RangeInput`
`getRange()`
Liefert eine Auswahl mit Zeit-Presets.
`de.willuhn.jameica.gui.input.Input`
`getTo()`
Liefert das Eingabe-Datum fuer das End-Datum.
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SparQuote

public SparQuote()
ct.

## Method Details

### getTo

public de.willuhn.jameica.gui.input.Input getTo()
Liefert das Eingabe-Datum fuer das End-Datum.

Returns:
  Eingabe-Feld.

### getRange

public RangeInput getRange()
Liefert eine Auswahl mit Zeit-Presets.

Returns:
  eine Auswahl mit Zeit-Presets.

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Throws:
  `RemoteException`
See Also:
  - `Part.paint(org.eclipse.swt.widgets.Composite)`